[SciPy-user] Installation Issues

Travis Oliphant oliphant at ee.byu.edu
Fri Mar 4 17:16:30 CST 2005


Jeremy Morris wrote:

>I have been trying to install Scipy for the last few days.  I run
>Mandrake 10, and when I run the command:
>  
>
It looks like you are using the python-numeric rpm.  But, you need to 
install the development RPM as well (it has the Numeric headers that you 
are missing:  Numeric/arrayobject.h)

The best thing for you to do is to download the latest Numeric from the 
sourceforge download site:
see http://numeric.scipy.org

uncomment the relevant parts of the setup.py file to enable the use of 
ATLAS with Numeric.

python setup.py install  Numeric

and then try to install scipy again.

I use Mandrake all the time, and in general my installation difficulties 
for any software package is almost always missing development rpms 
causing missing header files.

Good luck,

-Travis O.



More information about the SciPy-user mailing list